<?xml version="1.0" encoding="UTF-8"?>
<!-- March 14, 2007 -->
<wsdl:definitions
   name="message_broadcast_send_service"
   targetNamespace="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/service"
   xmlns="http://schemas.xmlsoap.org/wsdl/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema"
   xmlns:tns="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/service"
   xmlns:interface="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/interface">

   <wsdl:import namespace="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/interface" location="parlayx_message_broadcast_send_interface_4_0.wsdl"/>

   <wsdl:binding name="SendBroadcastMessageBinding" type="interface:SendBroadcastMessage">
      <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

      <wsdl:operation name="sendBroadcastMessage">
         <soap:operation soapAction="" style="document"/>
            <wsdl:input>
               <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
               <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="ServiceException">
               <soap:fault name="ServiceException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="PolicyException">
               <soap:fault name="PolicyException" use="literal"/>
            </wsdl:fault>
      </wsdl:operation>

      <wsdl:operation name="getBroadcastStatus">
         <soap:operation soapAction="" style="document"/>
            <wsdl:input>
               <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
               <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="ServiceException">
               <soap:fault name="ServiceException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="PolicyException">
               <soap:fault name="PolicyException" use="literal"/>
            </wsdl:fault>
      </wsdl:operation>

      <wsdl:operation name="cancelBroadcastMessage">
         <soap:operation soapAction="" style="document"/>
            <wsdl:input>
               <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
               <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="ServiceException">
               <soap:fault name="ServiceException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="PolicyException">
               <soap:fault name="PolicyException" use="literal"/>
            </wsdl:fault>
      </wsdl:operation>
   </wsdl:binding>

   <wsdl:service name="SendBroadcastMessageService">
      <wsdl:port name="SendBroadcastMessage" binding="tns:SendBroadcastMessageBinding">
         <soap:address location="http://localhost:9080/SendBroadcastMessageService/services/SendBroadcastMessage"/>
      </wsdl:port>
   </wsdl:service>
</wsdl:definitions>
